Skip to main content

Start resource correlation reprocess

POST 

/sources/v1/:sourceId/resources/:resourceId/reprocess-correlations

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Use this API to re-run correlation for the machine objects aggregated from a resource on a source, without running a new aggregation. The run is asynchronous. Poll its progress with the GET method on the same path and type.

Only one run of a given type can be in progress for a source resource at a time. Starting another run while one is in progress returns 400. This API returns 404 when the source or resource does not exist.

When machine identity security is not enabled for the tenant, or correlation reprocessing is not available, this API returns 404.

Request​

Responses​

Accepted. Returns the initial status of the run.